Bug 1109653 - [Project Version] Failed to load language list for source file name that contains space " "
Summary: [Project Version] Failed to load language list for source file name that cont...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4
Assignee: Alex Eng
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1088122
TreeView+ depends on / blocked
 
Reported: 2014-06-16 04:06 UTC by Ding-Yi Chen
Modified: 2014-07-17 06:39 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-17 06:39:46 UTC


Attachments (Terms of Use)

Description Ding-Yi Chen 2014-06-16 04:06:47 UTC
Description of problem:
After adding a new source document that has space in filename, clicking that new source document won't give you the languages list, thus cannot be translated.

Version-Release number of selected component (if applicable):
Zanata 3.5.0-SNAPSHOT (git-server-3.4.1-77-gc84b8dd)

How reproducible:
Easy, Always

Steps to Reproduce:
1. Login as a project maintainer
2. Go to any project version you maintained.
3. Click Document Tab
4. Click "...", and Select "Upload new source document"
5. Upload a source document that has space " " in the filename,
   like "Everyone wants the most from life.vtt
6. Click at the newly uploaded document.

Actual results:
Failed to load the language list.

Expected results:
Language list should start loading.

Additional info:

Comment 1 Ding-Yi Chen 2014-06-16 04:50:11 UTC
Both client push or WebUI upload have this problem.

Comment 2 Ding-Yi Chen 2014-06-16 04:57:49 UTC
VERIFIED with Zanata 3.5.0-SNAPSHOT (git-server-3.4.1-77-gc84b8dd)

Comment 3 Ding-Yi Chen 2014-06-16 05:02:05 UTC
Verified on wrong one.

Comment 4 Alex Eng 2014-06-18 00:25:39 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/500

Comment 5 Alex Eng 2014-06-18 00:44:10 UTC
Updated pull request:
https://github.com/zanata/zanata-server/pull/501

Comment 6 Ding-Yi Chen 2014-06-18 03:27:42 UTC
VERIFIED with Zanata 3.4.2-SNAPSHOT (git-server-3.4.1-25-g99811003)


Note You need to log in before you can comment on or make changes to this bug.